// Ionic Variables and Theming. For more info, please see:
// http://ionicframework.com/docs/theming/

// Font path is used to include ionicons,
// roboto, and noto sans fonts
$font-path: "../assets/fonts";


// The app direction is used to include
// rtl styles in your app. For more info, please see:
// http://ionicframework.com/docs/theming/rtl-support/
$app-direction: ltr;


@import "ionic.globals";


// Shared Variables
// --------------------------------------------------
// To customize the look and feel of this app, you can override
// the Sass variables found in Ionic's source scss files.
// To view all the possible Ionic variables, see:
// http://ionicframework.com/docs/theming/overriding-ionic-variables/




// Named Color Variables
// --------------------------------------------------
// Named colors makes it easy to reuse colors on various components.
// It's highly recommended to change the default colors
// to match your app's branding. Ionic uses a Sass map of
// colors so you can add, rename and remove colors as needed.
// The "primary" color is the only required color in the map.

$colors: (
  primary:    #ec2222,
  dark-primary: #d11010,
  secondary:  #ff2b2b,
  danger:     hsl(0, 90%, 60%),
  light:      #fff,
  dark:       #222,
  gray:       rgb(82, 82, 82),
  shadow:     rgb(206, 206, 206),
  yellow:     rgb(231, 147, 11),
  blue:       rgb(30, 85, 236),
);
$grayBg: #fbfbfb;


// App iOS Variables
// --------------------------------------------------
// iOS only Sass variables can go here
$toolbar-ios-title-text-color: map-get($map: $colors, $key: primary);




// App Material Design Variables
// --------------------------------------------------
// Material Design only Sass variables can go here
$searchbar-md-input-background-color: rgb(255, 255, 255);
// $searchbar-md-input-placeholder-color: white;
// $searchbar-md-input-search-icon-color: white;
// $searchbar-md-input-text-color: white;

$searchbar-md-input-color: map-get($map: $colors, $key: primary);
$toolbar-md-title-text-color: map-get($map: $colors, $key: primary);



// App Windows Variables
// --------------------------------------------------
// Windows only Sass variables can go here




// App Theme
// --------------------------------------------------
// Ionic apps can have different themes applied, which can
// then be future customized. This import comes last
// so that the above variables are used and Ionic's
// default are overridden.

@import "ionic.theme.default";


// Ionicons
// --------------------------------------------------
// The premium icon font for Ionic. For more info, please see:
// http://ionicframework.com/docs/ionicons/

@import "ionic.ionicons";


// Fonts
// --------------------------------------------------

@import "roboto";
@import "noto-sans";

.divider {
  background: rgb(233, 233, 233);
  padding: 10px;
  width: 100%;
  color: #222;
  border-top: 1px solid #cacaca
}
.btn {
  padding: 20px !important;
  margin: 0px !important;
  border-radius: 0px !important; 
}
.btn-primary {
  background: map-get($map: $colors, $key: primary);
  color: white;
  font-weight: bold
}
.btn-default {
  background: map-get($map: $colors, $key: shadow);
  color: map-get($map: $colors, $key: dark);
  font-weight: bold
}
.btn-block {
  width: 100%
}
.btn-fixed-bottom {
  z-index: 100;
  position: fixed;;
  bottom: 0px;
}

.btn-groups {
  width: 100%;
  bottom: 0px;
  button {
      width: 50%;
      float: left;
  }
}
.text-gray {
  color: map-get($map: $colors, $key: gray);
  margin: 20px
}
.text-right {
  text-align: right;
}
.alert-wrapper {
  border-radius: 10px !important;
  border-bottom: 4px solid map-get($map: $colors, $key: primary);
  .alert-head {
    h2 {
      font-size: 18px;
      margin-bottom: 10px;
    }
    h3 {
      font-size: 14px;
    }
  }
  .alert-button-group {
    padding: 10px !important;
    .btn-default {
      background: rgb(228, 228, 228)
    }
  }
}
// div.tabbar {
//   z-index: 1 !important
// }
// .ionic-page.tab-subpage {
//   z-index: 101 !important
// }